Subject: [Bridge-mib] RE: AD review: draft-ietf-bridge-rstpmib-06.txt

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Wed, 15 Jun 2005 17:59:52 +0300

A couple of observations:

> -----Original Message-----
> From: David B Harrington [mailto:[email-masked]] 
> Sent: Wednesday, June 15, 2005 5:51 PM
> To: 'Wijnen, Bert (Bert)'; Romascanu, Dan (Dan); 'David Levi'
> Cc: 'Bridge-Mib (E-mail)'; 'David Kessens'
> Subject: RE: AD review: draft-ietf-bridge-rstpmib-06.txt 
> 
> Hi Bert,
> 
> My responses to your comments are inline.
> 
> > -----Original Message-----
> > From: Wijnen, Bert (Bert) [mailto:[email-masked]]

....
> > 
> > - I wonder how we control that assignments under dot1dStp will not 
> > cause
> >   conflicts. This MIB module starts to asiign at { dot1dStp
> > 16 } which is the
> >   next available number according to RFC1493. But how will we keep 
> > track?
> 
> Would you like them registered with IANA, including a note 
> that all subsequent dot1dStp values are reserved?
> As we transition to IEEE updates, will they be allowed to 
> extend dot1dStp or do they need to use a different ieee8021 
> subtree registration? Would that be problematic?

I believe that we should also talk with IEEE 802.1 to check with them
what are their preferences. They may not want or their rules may not
allow using an out-of-IEEE root for future work that is theirs.

> 
> > 
> > - I see not text that indicates the persistency behaviour of the 
> > read-write
> >   objects.
> 
> The IEEE standard does not discuss the persistency of the 
> management variables. As long as the IEEE standard remains 
> silent on this point, I think the corresponding IETF standard 
> should also remain silent. 
> 
> The IEEE standard should be updated to discuss persistency of 
> each management variable. The coresponding MIB objects should 
> be updated to correspond, following SMI rules, as part of the 
> IEEE standard update.

I believe that we should make a clarification request to the IEEE on
this, pointing specifically to the objects that need to have persistency
defined. If I understand well the implication of 'remaining silent' is
that no persistency is required from an agent implementer. This may have
backwards compatibility issues if the need for persistence is identified
in the future. 

> 
> Is there a way to clarify the persistence requirement for 
> each object in the IETF bridge mibs once the IEEE updates 
> their compliance requirements that would not require 
> obsoleting and redefining each MIB object? 
> 
> WG - any comments on how to approach this?

Dan

_______________________________________________
Bridge-mib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bridge-mib